# hold_any.hpp File Reference

`#include <boost/config.hpp>`
`#include <boost/type_traits/remove_reference.hpp>`
`#include <boost/type_traits/is_reference.hpp>`
`#include <boost/throw_exception.hpp>`
`#include <boost/static_assert.hpp>`
`#include <boost/mpl/bool.hpp>`
`#include <boost/assert.hpp>`
`#include <boost/type_traits/is_const.hpp>`
`#include <stdexcept>`
`#include <typeinfo>`
`#include <algorithm>`

Go to the source code of this file.

## Defines
#define | SAGA_HOLD_ANY_DEC_01_2007_0133PM

## Define Documentation

#define SAGA_HOLD_ANY_DEC_01_2007_0133PM